package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

public class B10 {

    public B10() {
    }
    @JSONField(name = "序号")
    private Integer id;
    @JSONField(name = "查勘信息化项目名")
    private String surveyInformationProjectName;
    @JSONField(name = "经度")
    private Double longitude;
    @JSONField(name = "纬度")
    private Double latitude;
    @JSONField(name = "运营商和设计院")
    private String operator;
    @JSONField(name = "当日室外点位数")
    private Integer todayOutdoorCount;
    @JSONField(name = "当日室内点位数")
    private Integer todayIndoorCount;
    @JSONField(name = "日期")
    private String currentTime;
    @JSONField(name = "查勘人")
    private String surveyPerson;
    @JSONField(name = "员工ID")
    private String userId;
    @JSONField(name = "员工归属单元")
    private String employeeOwnerUnit;
    @JSONField(name = "项目归属单元")
    private String projectOwnerUnit;
    @JSONField(name = "说明")
    private String explainInfo;

//    private String status;
//
//    private String passed;
//
//    private String verifier;
//
//    private String verifyTime;
//
//    private String uploadPerson;
@JSONField(name = "上传日期时间")
    private String uploadTime;
    @JSONField(name = "同意标志")
    private String agreeSign;

    public B10(String currentTime, String userId, String projectOwnerUnit) {
        this.currentTime = currentTime;
        this.userId = userId;
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public B10(String currentTime, String projectOwnerUnit) {
        this.currentTime = currentTime;
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getSurveyInformationProjectName() {
        return surveyInformationProjectName;
    }

    public void setSurveyInformationProjectName(String surveyInformationProjectName) {
        this.surveyInformationProjectName = surveyInformationProjectName;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public Integer getTodayOutdoorCount() {
        return todayOutdoorCount;
    }

    public void setTodayOutdoorCount(Integer todayOutdoorCount) {
        this.todayOutdoorCount = todayOutdoorCount;
    }

    public Integer getTodayIndoorCount() {
        return todayIndoorCount;
    }

    public void setTodayIndoorCount(Integer todayIndoorCount) {
        this.todayIndoorCount = todayIndoorCount;
    }

    public String getCurrentTime() {
        return currentTime;
    }

    public void setCurrentTime(String currentTime) {
        this.currentTime = currentTime;
    }

    public String getSurveyPerson() {
        return surveyPerson;
    }

    public void setSurveyPerson(String surveyPerson) {
        this.surveyPerson = surveyPerson;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getEmployeeOwnerUnit() {
        return employeeOwnerUnit;
    }

    public void setEmployeeOwnerUnit(String employeeOwnerUnit) {
        this.employeeOwnerUnit = employeeOwnerUnit;
    }

    public String getProjectOwnerUnit() {
        return projectOwnerUnit;
    }

    public void setProjectOwnerUnit(String projectOwnerUnit) {
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public String getExplainInfo() {
        return explainInfo;
    }

    public void setExplainInfo(String explainInfo) {
        this.explainInfo = explainInfo;
    }


    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }

    public String getAgreeSign() {
        return agreeSign;
    }

    public void setAgreeSign(String agreeSign) {
        this.agreeSign = agreeSign;
    }

    @Override
    public String toString() {
        return "B10{" +
                "id=" + id +
                ", surveyInformationProjectName='" + surveyInformationProjectName + '\'' +
                ", longitude=" + longitude +
                ", latitude=" + latitude +
                ", operator='" + operator + '\'' +
                ", todayOutdoorCount=" + todayOutdoorCount +
                ", todayIndoorCount=" + todayIndoorCount +
                ", currentTime='" + currentTime + '\'' +
                ", surveyPerson='" + surveyPerson + '\'' +
                ", employeeOwnerUnit='" + employeeOwnerUnit + '\'' +
                ", projectOwnerUnit='" + projectOwnerUnit + '\'' +
                ", explainInfo='" + explainInfo + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                ", agreeSign='" + agreeSign + '\'' +
                '}';
    }
}
